$(function(){
   $('.indata').on('input', function(){
      var total = 0.0;
      $('.indata').each( function(){
         var v1 = parseFloat( $(this).val().replace(',', '.') );
         if (isNaN(v1)) { v1=0.0; }
         total += Math.round(v1*100);
      } );
      $('#total').val(total/100.0);       
   } );
} );
function validateForm()
{
   var x = parseInt($('#znr').val());
   if (isNaN(x) || x<1 || x>9999) {
      $('#errmsg').text('Λάθος στο αριθμό του Ζ.');        
      $('#popError').popup('open');
      return false;
   }
   
   var total = 0.0;
   $('.indata').each( function(){
      var v1 = parseFloat( $(this).val().replace(',', '.') );
      if (isNaN(v1)) { v1=0.0; }
      total += Math.round(v1*100);
   } );
   var inTotal = parseFloat( $('#total').val().replace(',', '.') );
   if (isNaN(inTotal)) { inTotal=0.0; }
   if (inTotal==(total/100.00)) {
      if (total==0.0) {
         $('#popmsg').text('Μηδενικό Ζ.');
         $('#popSubmit').popup('open');
         return false;
      }
      else { // o.k. 
         return true;
      }
   }
   else {
      $('#popmsg').text('Δεν συμφωνούν τα σύνολα.');        
      $('#popSubmit').popup('open');
      return false;
   } 
}
function onShowPwd(o1)
{
   if (o1.checked)
   {
      $('#pwd').attr('type', 'text');
   }
   else 
   {
      $('#pwd').attr('type', 'password');
   }
}
function goLogin()
{
   $.post('taxis_ret.php', 
      { 'USRMAIL':$('#usrmail').val(), 'PWD':$('#pwd').val() },
      function(data){
         var ar1=data.split('\n');
         if (ar1[0]==='OK') {
            location.assign('taxis.php?FUNCTION=1');          
         }
         else {
            $('#msg').text(data);
         }
      },
      'text' 
   );
}
function goAddAfm()
{
   location.assign('taxis.php?FUNCTION=1&AFM='+encodeURIComponent($('#afm').val())+'&FNAME='+encodeURIComponent($('#fname').val()));      
}
function goDelAfm(afm)
{
   location.assign('taxis.php?FUNCTION=1&DELAFM='+afm);
}
function goAddFhm()
{
   location.assign('taxis.php?FUNCTION=2&FHM='+encodeURIComponent($('#newfhm').val())+'&KEY='+encodeURIComponent($('#key').val()));
}
function onS11Changed()
{
   var x = parseInt( $('#fhm').find(':selected').data('lastz') );
   if (isNaN(x)) { x=0; }
   $('#znr').val(x + 1);
}
function onFhmChanged()
{
   $('#tkey').val( $('#fhm').find(':selected').val() );
}
function onUpdateFhm()
{
   location.assign('taxis.php?FUNCTION=2&UPDFHM='+$('#fhm').find(':selected').text()+'&TKEY='+encodeURIComponent($('#tkey').val()) ); 
}
function onDeleteFhm()
{
   location.assign( 'taxis.php?FUNCTION=2&DELFHM='+$('#fhm').find(':selected').text() );
}

var fAfm=0;
function onEditAfm()
{
   fAfm=1; 
   $('#titleSelAfm').text('Διόρθωση ΑΦΜ');
   $('#popSelAfm').popup('open');
}
function onDelAfm()
{
   fAfm=2;
   $('#titleSelAfm').text('Διαγραφή ΑΦΜ');
   $('#popSelAfm').popup('open');
}
function goProcAfm(afm1)
{ 
   $('#popSelAfm').popup('close');
   $('#afmEdt').val(afm1);
   var ids='#vat'+afm1;
   $('#fnameEdt').val( $(ids).text() ); 
   window.setTimeout(function(){     
      switch (fAfm)
      {
      case 1: // edit
         $('#popEditAfm').popup('open');
         break;
      case 2: // del
         goDelAfm(afm1);
         break;
      }
   }, 500);
}
function goEditAfm()
{
   location.assign('taxis.php?FUNCTION=1&EDITAFM='+encodeURIComponent($('#afmEdt').val())+'&FNAME='+encodeURIComponent($('#fnameEdt').val()));
}
